| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
com.symantec.sepm.webservice.client.PowerEraserScanItem Class Reference

Provides information about an individual item that was found during a PowerEraser scan, so that the item can be specified for remediation in a PowerEraserScanList object that is passed to the methods of the RemediateActionPayload() class. More...

## Public Member Functions
String | getFilePath ()
| Gets the file path of the specified risk event. More...
void | setFilePath (String filePath)
| Sets the file path of the specified risk event. More...
String | getScanGUID ()
| Gets the scan GUID of the specified risk event. More...
void | setScanGUID (String scanGUID)
| Sets the scan GUID of the specified risk event. More...

## Detailed Description

Provides information about an individual item that was found during a PowerEraser scan, so that the item can be specified for remediation in a PowerEraserScanList object that is passed to the methods of the RemediateActionPayload() class.

You get the scanGuid and filePath parameters that you must pass to setScanGUID() and setFilePath() by calling the getScanGUID() and getFilePath() methods of the RiskEventInfo class.

See also
  RiskEventResult()
  RiskEventInfo()

## Member Function Documentation

String com.symantec.sepm.webservice.client.PowerEraserScanItem.getFilePath | ( |  | ) |

Gets the file path of the specified risk event.

Returns
  the risk event filepath

void com.symantec.sepm.webservice.client.PowerEraserScanItem.setFilePath | ( | String | filePath | ) |

Sets the file path of the specified risk event.

See also
  #RiskEventInfo.getFilePath()

Parameters

  filePath | the filepath of the risk event to remediate

String com.symantec.sepm.webservice.client.PowerEraserScanItem.getScanGUID | ( |  | ) |

Gets the scan GUID of the specified risk event.

Returns
  the risk event scan GUID

void com.symantec.sepm.webservice.client.PowerEraserScanItem.setScanGUID | ( | String | scanGUID | ) |

Sets the scan GUID of the specified risk event.

See also
  #RiskEventInfo.getScanGUID()

Parameters

  scanGUID | the scan GUID of the risk event to remediate